{
  "name": "collabs-webapp",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "start": "cross-env PORT=3001 HTTPS=true SSL_CRT_FILE=.certs/cert.pem SSL_KEY_FILE=.certs/key.pem craco start",
    "build": "cross-env CLIENT_ENV=production craco build",
    "build:staging": "env-cmd -f .env.staging cross-env CLIENT_ENV=production craco build",
    "lint": "eslint --ignore-path .gitignore src/",
    "lint:fix": "eslint --ignore-path .gitignore src/ --fix",
    "test": "cross-env TZ=Europe/Stockholm craco test",
    "deploy": "REACT_APP_VERSION=$(git rev-parse --short @~) npm-run-all build:staging build-storybook deploy-firebase",
    "deploy-prod": "REACT_APP_VERSION=$(git rev-parse --short @~) npm-run-all build deploy-firebase-prod",
    "deploy-firebase": "firebase deploy --project staging --token $FIREBASE_DEPLOY_TOKEN --only hosting:storybook-collabs,hosting:listagram-se",
    "deploy-firebase-prod": "firebase deploy --project production --token $FIREBASE_DEPLOY_TOKEN --only hosting:listagram-production",
    "extract-i18n": "i18next-scanner --config i18next-scanner.config.js 'src/**/*.{js,jsx,tsx}'",
    "storybook": "start-storybook -p 9009 -s public",
    "build-storybook": "build-storybook -s public",
    "prettify": "prettier --write \"src/**/*.{js,jsx,ts,tsx,json,css,scss,md}\"",
    "test:debug": "craco --inspect-brk test --runInBand --no-cache"
  },
  "devDependencies": {
    "@babel/core": "^7.17.7",
    "@babel/eslint-parser": "^7.17.0",
    "@babel/plugin-proposal-decorators": "^7.17.2",
    "@babel/preset-react": "^7.16.7",
    "@hot-loader/react-dom": "^17.0.2",
    "@storybook/addon-actions": "^6.4.19",
    "@storybook/addon-controls": "^6.4.19",
    "@storybook/addon-links": "^6.4.19",
    "@storybook/addon-viewport": "^6.4.19",
    "@storybook/addons": "^6.4.19",
    "@storybook/react": "^6.4.19",
    "@testing-library/jest-dom": "^5.16.2",
    "@testing-library/react": "^12.1.4",
    "@testing-library/user-event": "^13.5.0",
    "@types/country-data": "^0.0.2",
    "@types/country-flag-icons": "^1.2.0",
    "@types/enzyme": "^3.10.11",
    "@types/react-datepicker": "^4.3.4",
    "@types/react-router-dom": "^5.3.3",
    "@types/react-test-renderer": "^17.0.1",
    "@types/styled-components": "^5.1.25",
    "@typescript-eslint/parser": "^5.12.1",
    "apollo-cache-inmemory": "^1.2.1",
    "apollo-client": "^2.3.1",
    "apollo-link": "^1.2.2",
    "apollo-link-context": "^1.0.8",
    "apollo-link-error": "^1.0.9",
    "apollo-upload-client": "^17.0.0",
    "autoprefixer": "^8.6.5",
    "babel-plugin-import": "^1.7.0",
    "babel-plugin-styled-components": "^2.0.6",
    "browserslist": "^4.21.3",
    "caniuse-lite": "^1.0.30001373",
    "core-js": "^3.21.1",
    "country-data": "^0.0.31",
    "country-flag-icons": "^1.4.25",
    "craco-plugin-react-hot-reload": "^0.1.0",
    "cross-env": "^7.0.3",
    "customize-cra": "^1.0.0",
    "dot-prop-immutable": "^2.1.1",
    "dotenv": "^16.0.0",
    "enzyme": "^3.11.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-graphql": "^4.0.0",
    "eslint-plugin-import": "^2.10.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-promise": "^6.0.0",
    "eslint-plugin-react": "^7.29.4",
    "eslint-plugin-standard": "^5.0.0",
    "express": "^4.16.3",
    "graphql": "^16.3.0",
    "graphql-tag": "^2.12.6",
    "husky": "^7.0.4",
    "i18next": "^13.1.4",
    "i18next-scanner": "2.9.2",
    "jest-canvas-mock": "^2.3.1",
    "jest-styled-components": "^7.0.8",
    "moment": "^2.22.1",
    "npm-run-all": "^4.1.2",
    "postcss": "^8.4.14",
    "prettier": "1.16.0",
    "prop-types": "^15.6.1",
    "react": "^17.0.2",
    "react-apollo": "^2.1.3",
    "react-dom": "^17.0.2",
    "react-error-overlay": "6.0.9",
    "react-hot-loader": "^4.13.0",
    "react-i18next": "^9.0.3",
    "react-router-dom": "5.3.0",
    "react-router-modal": "^1.3.5",
    "react-scripts": "^4.0.3",
    "react-svg": "^14.1.14",
    "react-test-renderer": "17",
    "redux-devtools": "^3.5.0",
    "sass": "^1.49.9",
    "serverless": "3.17.0",
    "serverless-lift": "1.15.1",
    "storybook": "^6.4.19"
  },
  "dependencies": {
    "@apollo/client": "^3.5.10",
    "@babel/preset-env": "^7.18.9",
    "@craco/craco": "^6.4.3",
    "@lottiefiles/react-lottie-player": "^3.4.7",
    "@quickbaseoss/babel-plugin-styled-components-css-namespace": "^1.0.1",
    "@reduxjs/toolkit": "^1.8.2",
    "@types/jest": "^27.4.1",
    "@types/node": "^17.0.21",
    "@types/react": "^17.0.39",
    "@types/react-dom": "^17.0.11",
    "ant-design-pro": "^2.2.1",
    "antd": "3.16.6",
    "axios": "^0.26.1",
    "bugsnag-js": "^4.7.3",
    "bugsnag-react": "^1.1.1",
    "camelcase-keys-deep": "^0.1.0",
    "chart.js": "^3.7.1",
    "chartjs-plugin-datalabels": "^2.0.0",
    "classnames": "^2.3.1",
    "craco-antd": "^1.19.0",
    "craco-eslint-webpack-plugin": "^1.0.0",
    "craco-graphql-loader": "^1.0.1",
    "env-cmd": "^10.1.0",
    "eslint-webpack-plugin": "^3.1.1",
    "fontfaceobserver": "^2.1.0",
    "formik": "^2.2.9",
    "i18next-browser-languagedetector": "^2.2.3",
    "immutable": "^4.0.0-rc.12",
    "intl": "^1.2.5",
    "json-api-models": "^0.1.0-beta.7",
    "jwt-decode": "^3.1.2",
    "query-string": "^7.1.1",
    "react-app-rewire-graphql-tag": "^1.1.0",
    "react-app-rewired-eslint": "^0.2.4",
    "react-chartjs-2": "^4.0.1",
    "react-csv": "^2.2.2",
    "react-datepicker": "^4.7.0",
    "react-helmet": "^6.1.0",
    "react-image-lightbox": "^5.1.1",
    "react-intl": "^2.4.0",
    "react-keyboard-shortcuts": "^1.1.3",
    "react-loading-skeleton": "^3.1.0",
    "react-masonry-css": "^1.0.14",
    "react-moment": "^1.1.1",
    "react-on-images-loaded": "^2.2.3",
    "react-range": "^1.8.13",
    "react-redux": "^7.2.6",
    "react-router-hash-link": "^2.4.3",
    "react-router-redux": "^4.0.8",
    "react-select": "^5.3.2",
    "react-slick": "^0.29.0",
    "react-stripe-elements": "^4.0.0",
    "reactour": "^1.13.1",
    "redux": "^4.0.1",
    "redux-immutable": "^4.0.0",
    "redux-saga": "^1.0.2",
    "reduxsauce": "^1.0.1",
    "slick-carousel": "^1.8.1",
    "stripe": "^8.210.0",
    "styled-components": "^5.3.3",
    "swr": "^1.3.0",
    "typescript": "^4.5.5",
    "video-react": "^0.15.0",
    "yup": "^0.32.11"
  },
  "browserslist": [
    ">0.2%",
    "not dead"
  ],
  "resolutions": {
    "//": "See https://github.com/facebook/create-react-app/issues/11773",
    "react-error-overlay": "6.0.9",
		"caniuse-lite": "1.0.30001373",
		"browserslist": "4.21.3"
  },
  "jest": {
    "transformIgnorePatterns": [
      "/node_modules/(?!antd|@ant-design|rc-.+?|@babel/runtime|css-animation|react-i18next).+(js|jsx)$"
    ]
  }
}
